Risk Details for a Transaction
curl --request GET \
--url https://api.webacy.com/transactions/{txHash} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.webacy.com/transactions/{txHash}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.webacy.com/transactions/{txHash}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 1,
"medium": 1,
"high": 0,
"overallRisk": 25.99,
"issues": [
{
"transaction": {
"is_contract": true,
"block_number": 14424700,
"timestamp": 1647798736000,
"datetime": "2022-03-20T20:52:16.000Z",
"address_risk_data": {
"mixer": "0",
"reinit": "0",
"fake_kyc": "0",
"gas_abuse": "0",
"cybercrime": "0",
"sanctioned": "0",
"data_source": "SlowMist,BlockSec",
"blacklist_doubt": "0",
"financial_crime": "0",
"stealing_attack": "0",
"contract_address": "0",
"money_laundering": "0",
"phishing_activities": "0",
"blackmail_activities": "0",
"darkweb_transactions": "0",
"fake_standard_interface": "0",
"honeypot_related_address": "0",
"malicious_mining_activities": "0",
"number_of_malicious_contracts_created": "0",
"label_info": {
"label_type": "dex",
"label_name": "Raydium AMM",
"label_subtype": "amm"
},
"cex_info": {
"is_cex": true,
"cex_name": "Binance",
"cex_address_type": "hot_wallet",
"cex_address_subtype": "deposit"
}
},
"token_risk_data": {
"mixer": "0",
"reinit": "0",
"fake_kyc": "0",
"gas_abuse": "0",
"cybercrime": "0",
"sanctioned": "0",
"data_source": "SlowMist,BlockSec",
"blacklist_doubt": "0",
"financial_crime": "0",
"stealing_attack": "0",
"contract_address": "0",
"money_laundering": "0",
"phishing_activities": "0",
"blackmail_activities": "0",
"darkweb_transactions": "0",
"fake_standard_interface": "0",
"honeypot_related_address": "0",
"malicious_mining_activities": "0",
"number_of_malicious_contracts_created": "0",
"label_info": {
"label_type": "dex",
"label_name": "Raydium AMM",
"label_subtype": "amm"
},
"cex_info": {
"is_cex": true,
"cex_name": "Binance",
"cex_address_type": "hot_wallet",
"cex_address_subtype": "deposit"
}
},
"reported_address_risk": [
{
"id": "a7600878-956f-4119-a18c-eec2b7057762",
"checked": null,
"trusted": false,
"addresses": [
{
"chain": "ETH",
"domain": null,
"address": "0x1f9840a85d5aF5bf1D1762F925BDADdC4201F984"
}
],
"createdAt": "2022-03-20T20:52:16.000Z",
"scamCategory": "PHISHING"
}
],
"reported_contract_risk": [
{
"id": "a7600878-956f-4119-a18c-eec2b7057762",
"checked": null,
"trusted": false,
"addresses": [
{
"chain": "ETH",
"domain": null,
"address": "0x1f9840a85d5aF5bf1D1762F925BDADdC4201F984"
}
],
"createdAt": "2022-03-20T20:52:16.000Z",
"scamCategory": "PHISHING"
}
]
},
"score": 3,
"tags": [
{
"name": "Insufficient Wallet Age",
"description": "The age of this wallet or address is new.",
"type": "noHistoryRisk",
"severity": 3,
"key": "insufficient_wallet_age"
}
],
"categories": {
"address_characteristics": {
"key": "address_characteristics",
"name": "Wallet Characteristics",
"description": "This address may have risk factors related to address age, number of transactions, or balance.",
"tags": {
"insufficient_wallet_age": true
}
}
}
}
]
}{
"message": "Unauthorized"
}Risk DD
Risk Details for a Transaction
Get comprehensive risk analysis for a specific blockchain transaction
GET
/
transactions
/
{txHash}
Risk Details for a Transaction
Authorizations
Path Parameters
Query Parameters
Selected chain. This includes 'eth', 'base', 'bsc', 'pol', 'opt', 'arb', 'sol', 'stellar', and 'hedera'. For Hedera, the txHash parameter accepts a transaction ID (e.g., '0.0.12345@1670000095.123456789' or '0.0.12345-1670000095-123456789') or a transaction hash.
Available options:
eth, base, bsc, pol, opt, sol, arb, stellar, hedera Boolean to determine whether to hide trust-related flags from the response
⌘I
